Bug 15084 - Blizzard fan art pages don't work because of lack of Document.load
Summary: Blizzard fan art pages don't work because of lack of Document.load
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://www.blizzard.com/inblizz/fanar...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-08-26 13:38 PDT by Darin Adler
Modified: 2019-02-06 09:02 PST (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2007-08-26 13:38:18 PDT
The Blizzard fan art pages seem to have been recently updated. The page at <http://www.blizzard.com/inblizz/fanart/ScreenShot.shtml> fails with a JavaScript exception.

There's a function call importXML:

function importXML()
{ 

	if (document.implementation && document.implementation.createDocument)
	{
		xmlDoc = document.implementation.createDocument("", "", null);
		xmlDoc.onload = addEntries;
	}
	else if (window.ActiveXObject)
	{
		xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
		xmlDoc.onreadystatechange = function () {
			if (xmlDoc.readyState == 4) addEntries()
		};
 	}
	else
	{
		alert('Your browser can\'t handle this script');
		return;
	}
	xmlDoc.load("Web.xml");
}

I'd normally expect to see something like this done with XMLHttpRequest.
Comment 1 Darin Adler 2007-08-26 13:39:53 PDT
Annoying. I use this website a lot.
Comment 2 Darin Adler 2007-08-26 13:40:36 PDT
<rdar://problem/5438730>
Comment 3 Dave Hyatt 2007-08-26 13:58:33 PDT
We really need to support document.load.  It's standard DOM 3.

Comment 4 Dave Hyatt 2007-08-26 13:59:19 PDT
But yeah, the site could easily use XMLHttpRequest and work everywhere.

Comment 5 Darin Adler 2007-08-26 15:44:04 PDT
(In reply to comment #3)
> We really need to support document.load. It's standard DOM 3.

I decided to look this up in DOM 3, and I couldn't find it.

What I found for load and save was this: <http://www.w3.org/TR/DOM-Level-3-LS/>. It seems to me like a simple "load" function on Document is not part of it. Instead the function is called createLSParser. Am I missing something? Where's the plain old "load" for Document?

I'm getting the impression that this is not DOM 3 load at all, but rather something else that's implemented by Gecko.
Comment 6 Sam Weinig 2007-08-26 20:58:25 PDT
I believe it was in DOM 3 L/S at one point, but has since been removed.
Comment 7 Alexey Proskuryakov 2007-08-26 21:36:57 PDT
See also: bug 9063.
Comment 8 David Kilzer (:ddkilzer) 2007-08-26 23:28:50 PDT
(In reply to comment #7)
> See also: bug 9063.

And:
Bug 5411
Bug 14518
Bug 14589

Comment 9 Darin Adler 2007-08-28 23:11:52 PDT
The Blizzard folks fixed this. Thanks guys!
Comment 10 Lucas Forschler 2019-02-06 09:02:39 PST
Mass moving XML DOM bugs to the "DOM" Component.